---
name: Pull request
about: Create a pull request to contribute in making Pock amazing!
title: ''
labels: ''
assignees: ''

---

**Describe the Pull request**
A clear description of what the feature or the bugfix is.


**Screenshots**
If applicable, add screenshots to help explain your new feature or bugfix.
`To take a Touch Bar screenshot use the shortcut "shift + cmd + 6"`


**Fixes**
A comma-separated list of issues that can be closed with this PR.
`[e.g. #1, #2, #3 (*required)]`


**Pull request type**
Keep only the option that better matches your pull request.

- [X] Bug fix (non-breaking change which fixes an issue)
- [X] New feature (non-breaking change which adds functionality)
- [X] Breaking change (fix or feature that would cause existing functionality to not work as expected)


**Tested?**
Please describe the tests that you ran to verify your changes. Provide instructions so I can reproduce. 
Please, remember to fill the `Test Configuration` section with requested details. 


*Test Configuration*:
* Hardware:      [e.g. MacBook Pro, 13 (Late 2017) (*required)
* macOS Version: [e.g. 10.4.5 (*required)]
* Xcode version: [e.g. 10.2 (*required)]


**Checklist**
Use this list to keep track of your progress:

- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
