<p align="center"><img src="https://pock.dev/assets/img/brand/web-icon-black.png" width="96"/></p>
<p align="center">Display macOS Dock in Touch Bar.</p>
<p align="center">It's free and open source, and it also brings some minimalistic widgets with it!
</p>
<p align="center">
  <img width="800" src="https://pock.dev/assets/img/preview/pock_widgets.png"/>
</p>



## macOS Catalina (10.15)
If you are on macOS Catalina (10.15), please click [here](https://pock.dev/docs/catalina.html) and read carefully the suggestions to have a flawless experience.



## Thank you!

If you want to support this project, you can [click here](https://paypal.me/pigigaldi)!
Pock will always be available as free software!



## How To Enable

1. Move Pock to your Applications folder
2. Open Pock
3. If you don't see Pock in your Touch Bar, go to the `Keyboard` pane in System Preferences and select "Touch Bar shows _App Controls_."



## Widgets

<small>Includes five default widgets</small>

##### Dock widget

Your macOS Dock inside your MacBook's TouchBar, the core widget.
It comes with fully-functional badge support so you will not miss any notification.
More features can be configured in widget settings along with other preferences.
It now includes multi-window support!
*Enjoy your screen in full-size every time!*

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_dock_widget.png"/>
</div>
<div align="left" style="margin-top:6px">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_app_expose.png"/>
</div>



##### Now Playing widget

Media information at a glance with gestures for media controls included.

| Gesture     | Action            |
| ----------- | ----------------- |
| tap         | toggle play/pause |
| swipe left  | previous song     |
| swipe right | next song         |

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_now_playing_widget.png"/>
</div>



##### ESC widget

A handy ESC button is there, just in case, so you don't have to hide Pock to access the system one.

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_esc_widget.png"/>
</div>



##### Status widget

Always keep an eye on system information, like what time is it, or maybe WiFi status or Battery status. Configure Status items from settings.

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_status_widget.png"/>
</div>



##### Control Center widget

Change screen brightness or system volume with easy controls.
Long press or slide on control center item to invoke sliders.

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_control_center_widget.png"/>
</div>



##### More...

More widgets are coming!
Keep search for #pock on social media to be updated on future widgets releases!

<div align="left">
  <img width="500" src="https://pock.dev/assets/img/preview/widgets/pock_more_widget.png"/>
</div>



## Preferences

You can adjust Pock and widgets settings to reflects your specific needs. You can access these panes from the **Preferences** menu item.

<div display="float">
  <img width="262" src="https://pock.dev/assets/img/preview/preferences/preference_dock_widget.png"/>
  <img width="262" src="https://pock.dev/assets/img/preview/preferences/preference_general.png"/>
  <img width="262" src="https://pock.dev/assets/img/preview/preferences/preference_status_widget.png"/>
</div>

## Customize

You can customize the widget position in TouchBar from the **Customize** menu item.

<div align="left">
  <img src="https://pock.dev/assets/img/preview/pock_customize.png"/>
</div>



## Developers

<p align="left">Do you want to build a custom widget for Pock?
  Soon you will be able to do it, with <b>PockKit</b>!
</p>

<div align="center">
  <img width="260" src="https://pock.dev/assets/img/preview/developers/xcode_plus_pockkit.png"/>
</div>



## Special mentions

* [BrokenSt0rm](https://twitter.com/BrokenSt0rm) 🙅‍♂️
* [SnapKit](https://github.com/SnapKit/SnapKit)
* [Magnet, LoginServiceKit](https://github.com/Clipy)
* [touch-baer](https://github.com/a2/touch-baer) - How to put icon in Control Strip
* [Minebomber](https://stackoverflow.com/a/36115210) - This comment blowed my mind
* [Defaults, Preferences](https://github.com/sindresorhus/)
* [Witness](https://github.com/njdehoog/Witness)



## Translated READMEs

🇺🇸 [English](README.md)
🇨🇳 [中文](.github/readmes/README.cn.md)
🇯🇵 [日本語](.github/readmes/README.ja.md)
🇹🇷 [Türkçe](.github/readmes/README.tr.md)

<small>* Some translations may be different or incomplete</small>.



## Info

**Pock** will never be a commercial package.



## License

Under MIT license. See [LICENSE](LICENSE) file for further information.
